#
# Needs more fixes, maybe remove all drivers for non agp/pci cards
# sunsparc arch may need more drivers removed, or even better, only
# install sun hardware drivers
#

Name:		x11-driver-video
Version:	7.7
Release:	%mkrel 11
Summary:	X11 video drivers
Group:		System/X11
License:	MIT

Requires:	x11-driver-video-amdgpu
Requires:	x11-driver-video-ati
# useful for qemu
Requires:	x11-driver-video-cirrus
Requires:	x11-driver-video-fbdev
Requires:	x11-driver-video-glint
%ifarch %{ix86}
Requires:	x11-driver-video-geode
%endif
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-intel
%endif
Requires:	x11-driver-video-mach64
Requires:	x11-driver-video-mga
Requires:	x11-driver-video-neomagic
Requires:	x11-driver-video-nouveau
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-openchrome
%endif
Requires:	x11-driver-video-qxl
Requires:	x11-driver-video-r128
Requires:	x11-driver-video-s3
Requires:	x11-driver-video-s3virge
Requires:	x11-driver-video-savage
Requires:	x11-driver-video-sis
Requires:	x11-driver-video-sisimedia
#Requires:	x11-driver-video-sisusb
%ifarch %{sunsparc}
Requires:	x11-driver-video-sunbw2
Requires:	x11-driver-video-suncg14
Requires:	x11-driver-video-suncg3
Requires:	x11-driver-video-suncg6
Requires:	x11-driver-video-sunffb
Requires:	x11-driver-video-sunleo
Requires:	x11-driver-video-suntcx
%endif
Requires:	x11-driver-video-tdfx
Requires:	x11-driver-video-trident
Requires:	x11-driver-video-v4l
Requires:	x11-driver-video-vesa
Requires:	x11-driver-video-vmware

%description
X11 video drivers metapackage. This package contains no files, but
depends on most common free X.org video drivers.

%files
%package uncommon
Summary:	Uncommon X11 video drivers
Group:		System/X11
License:	MIT
Requires:	x11-driver-video-apm
Requires:	x11-driver-video-ark

# Probably only required for development/experiments
Requires:	x11-driver-video-dummy

Requires:	x11-driver-video-i128
Requires:	x11-driver-video-i740

# SGI newport - too uncommon to be installed by default
#Requires:	x11-driver-video-newport

Requires:	x11-driver-video-rendition
Requires:	x11-driver-video-siliconmotion

# DEC Tga - too uncommon to be installed by default
Requires:	x11-driver-video-tga
Requires:	x11-driver-video-tseng

# Too old hardware - should not be installed by default
Requires:	x11-driver-video-voodoo

# Stuff in contrib or recent drivers that nobody might be using:
%ifarch %{ix86} x86_64
Requires:	x11-driver-video-xgi
Requires:	x11-driver-video-xgixp
%endif

%description uncommon
X11 video drivers metapackage. This package contains no files, but
depends on uncommon free X.org video drivers.

%files uncommon


%changelog
* Thu Nov 17 2016 tv <tv> 7.7-11.mga6
+ Revision: 1067856
- disable unsupported sisusb
- require again geode driver on i586

* Mon May 30 2016 tv <tv> 7.7-10.mga6
+ Revision: 1019414
- do not requires intel/openchrome/xgi* on arm

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Nov 20 2015 tv <tv> 7.7-8.mga6
+ Revision: 904459
- drop req on x11-driver-video-chips

* Wed Nov 11 2015 tv <tv> 7.7-7.mga6
+ Revision: 902256
- requires x11-driver-video-amdgpu

* Wed Oct 15 2014 umeabot <umeabot> 7.7-6.mga5
+ Revision: 743882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.7-5.mga5
+ Revision: 690418
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 tmb <tmb> 7.7-4.mga5
+ Revision: 643141
- dont require x11-driver-video-geode as it does not support x11-server 1.16 (mga#13633)

* Wed Nov 20 2013 tv <tv> 7.7-3.mga4
+ Revision: 552027
- moves qxl requires from uncommon into main package (mga#10262)

* Sat Oct 19 2013 umeabot <umeabot> 7.7-2.mga4
+ Revision: 523666
- Mageia 4 Mass Rebuild

* Fri May 24 2013 tv <tv> 7.7-1.mga4
+ Revision: 426084
- reenable x11-driver-video-s3
- bump version from 1 to 7.7

* Fri May 24 2013 tv <tv> 1.0.0-44.mga4
+ Revision: 426068
- drop requires on x11-driver-video-s3 (no x11-server-1.14 support)

* Sun Apr 28 2013 tmb <tmb> 1.0.0-43.mga3
+ Revision: 411524
- require x11-driver-video-sisimedia as it now exists again

* Sat Apr 13 2013 tmb <tmb> 1.0.0-42.mga3
+ Revision: 409995
- drop requires on x11-driver-video-newport as it does not support x11-server 1.13

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-41.mga3
+ Revision: 385970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 tv <tv> 1.0.0-40.mga3
+ Revision: 291161
- drop radeonhd driver (incompatible with 1.13 server)

* Fri Sep 07 2012 tv <tv> 1.0.0-2.mga3.nonfree
+ Revision: 289351
- rebuild for new xserver

* Tue Jun 05 2012 tv <tv> 1.0.0-39.mga3
+ Revision: 255772
- really do not require x11-driver-video-sisusb for now as it does not work wit x11-server-1.12

* Tue Jun 05 2012 tv <tv> 1.0.0-38.mga3
+ Revision: 254505
- do not require x11-driver-video-sisusb for now as it does not work wit x11-server-1.12

* Tue Dec 06 2011 tmb <tmb> 1.0.0-37.mga2
+ Revision: 177738
- submit to core/release

* Mon Nov 28 2011 tmb <tmb> 1.0.0-36.mga2
+ Revision: 173770
- rebuild for new x11-server

* Fri Mar 04 2011 tv <tv> 1.0.0-35.mga1
+ Revision: 64385
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.0.0-34.mga1
+ Revision: 50173
- imported package x11-driver-video

